# Automated composition of Galician Xota
This repository contains the implementation of the model mentioned in our paper "Automated  composition  of  Galician Xota –  tuning  RNN-based composers  for  specific  musical  styles  using  Deep  Q-Learning"

## Generated piece
[mp3](https://logoori.github.io/miraodasilva/GalicianXotaComposer/midi_piece/full_piece.mp3) (please download this file if it does not play in browser)

This piece consists of 6 sections (4 section As and 2 sections Bs) organized as AABBAA. It was generated by the RL Tuner under the "Magenta Basic RNN, Both rule-sets" (M.3) configuration. The difference between the two types of sections is very clear, as well as the adherence to many of the rules stated in the combined rule-set.

## Requirements

- Ubuntu 16.04
- Python 2.7
- pip 10.0.1
- pip requirements under requirements.txt (this may include more than necessary, the main package necessary for training and testing is magenta-gpu==0.3.8)

## Dataset
The dataset in its entirety in MIDI format is listed under Data/files, including the metadata under meta.txt

## Results
The RL Tuner results are listed under Results/ for the various configurations mentioned in the paper

## Guide
For details on how to reproduce our methodology, including gathering and preprocessing the dataset, training the models and obtaining the heatmaps portrayed in the paper, check GUIDE.txt
